--- title: "Get real-time viewer count" slug: "vpe-api-currentviewers" updated: 2026-09-17T10:12:36Z published: 2026-09-17T10:12:36Z canonical: "api.ncloud-docs.com/vpe-api-currentviewers" --- > ## Documentation Index > Fetch the complete documentation index at: https://api.ncloud-docs.com/llms.txt > Use this file to discover all available pages before exploring further. # Get real-time viewer count Available in Classic and VPC Get real-time viewer counts measured by the player in one-minute intervals, displayed as a chart for one hour of data. The data from 60 minutes (1 hour) ago is the baseline. ## Request This section describes the request format. The method and URI are as follows: | Method | URI | | --- | --- | | GET | /v1/charts/currentViewers | ### Request headers For information about the headers common to all Video Player Enhancement APIs, see [Video Player Enhancement request headers](/docs/en/vpe-api-overview#%EC%9A%94%EC%B2%AD%ED%97%A4%EB%8D%94). ### Request query parameters You can use the following query parameters with your request: | Field | Type | Required | Description | | --- | --- | --- | --- | | `device` | String | Optional | Player playback environment - `PC,Mobile` (default) \| `PC` \| `Mobile` | | `videoType` | String | Optional | Playback source type - `VOD,LIVE` (default) \| `VOD` \| `LIVE` - `VOD,LIVE`: VOD video, LIVE stream - `VOD`: VOD video - `LIVE`: LIVE stream | ### Request example The request example is as follows: ``` curl --location --request GET 'https://ma-dashboard-api.vpe.naverncp.com/v1/charts/currentViewers?device=PC,Mobile&videoType=VOD,LIVE' \ --header 'x-api-key: {API Key}' \ --header 'x-project-id: {Project id}' ``` ## Response This section describes the response format. ### Response body The response body includes the following data: | Field | Type | Required | Description | | --- | --- | --- | --- | | `code` | String | - | Response code | | `message` | String | - | Response message | | `result` | Object | - | Response result | | `result.currentViewerCnt` | Integer | - | Number of real-time viewers | | `result.logDate` | Date | - | Date and time | ### Response status codes For information about the HTTP status codes common to all Video Player Enhancement APIs, see [Common Video Player Enhancement response status codes](/docs/en/vpe-api-overview#%EC%9D%91%EB%8B%B5%EC%83%81%ED%83%9C%EC%BD%94%EB%93%9C). ### Response example The response example is as follows: ``` { "code": 200, "message": "currentViewers (1m)", "result": [ { "currentViewerCnt": 0, "logDate": "2025-10-09 16:23:00" }, { "currentViewerCnt": 0, "logDate": "2025-10-09 16:22:00" }, { "currentViewerCnt": 0, "logDate": "2025-10-09 16:21:00" }, ... { "currentViewerCnt": 0, "logDate": "2025-10-09 15:25:00" }, { "currentViewerCnt": 0, "logDate": "2025-10-09 15:24:00" }, { "currentViewerCnt": 0, "logDate": "2025-10-09 15:23:00" } ] } ```